<?php

/**
 * JAjaxForm class file.
 *
 * @author jerry2801 <jerry2801@gmail.com>
 * @version alpha2 (2010-4-14 15:08)
 *
 * A typical usage of JAjaxForm is as follows:
 * <pre>
 * $this->widget('application.extensions.ajaxform.JAjaxForm',array(
 *     'formId'=>'myForm1',
 *     'options'=>array(
 *         'dataType'=>'json',
 *         'beforeSubmit'=>'js:functioin(formData,$form,options) { // return false to cancel submit }',
 *         'success'=>'js:function(responseText, statusText) { alert(responseText); }',
 *     ),
 * ));
 * </pre>
 */

class JAjaxForm extends CWidget
{
	public $baseUrl;
    public $formId;
    public $options=array();

    public function init()
    {
        $this->baseUrl = Yii::app()->getAssetManager()->publish(dirname(__FILE__).DIRECTORY_SEPARATOR.'source');

        $cs = Yii::app()->getClientScript();

        $cs->registerScriptFile($this->baseUrl.'/jquery.form.js');

        $options = CJavaScript::encode($this->options);

        $cs->registerScript('ajaxform-'.$this->getId(), '$("#'.$this->formId.'").ajaxForm('.$options.')');

    }
}